# -*- encoding: utf-8 -*-
# stub: net-ldap 0.11 ruby lib

Gem::Specification.new do |s|
  s.name = "net-ldap"
  s.version = "0.11"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Francis Cianfrocca", "Emiel van de Laar", "Rory O'Connell", "Kaspar Schiess", "Austin Ziegler", "Michael Schaarschmidt"]
  s.date = "2016-03-04"
  s.description = "Net::LDAP for Ruby (also called net-ldap) implements client access for the\nLightweight Directory Access Protocol (LDAP), an IETF standard protocol for\naccessing distributed directory services. Net::LDAP is written completely in\nRuby with no external dependencies. It supports most LDAP client features and a\nsubset of server features as well.\n\nNet::LDAP has been tested against modern popular LDAP servers including\nOpenLDAP and Active Directory. The current release is mostly compliant with\nearlier versions of the IETF LDAP RFCs (2251-2256, 2829-2830, 3377, and 3771).\nOur roadmap for Net::LDAP 1.0 is to gain full <em>client</em> compliance with\nthe most recent LDAP RFCs (4510-4519, plutions of 4520-4532)."
  s.email = ["blackhedd@rubyforge.org", "gemiel@gmail.com", "rory.ocon@gmail.com", "kaspar.schiess@absurd.li", "austin@rubyforge.org"]
  s.extra_rdoc_files = ["Contributors.rdoc", "Hacking.rdoc", "History.rdoc", "License.rdoc", "README.rdoc"]
  s.files = [".gitignore", ".rubocop.yml", ".rubocop_todo.yml", ".travis.yml", "CONTRIBUTING.md", "Contributors.rdoc", "Gemfile", "Hacking.rdoc", "History.rdoc", "License.rdoc", "README.rdoc", "Rakefile", "lib/net-ldap.rb", "lib/net/ber.rb", "lib/net/ber/ber_parser.rb", "lib/net/ber/core_ext.rb", "lib/net/ber/core_ext/array.rb", "lib/net/ber/core_ext/false_class.rb", "lib/net/ber/core_ext/integer.rb", "lib/net/ber/core_ext/string.rb", "lib/net/ber/core_ext/true_class.rb", "lib/net/ldap.rb", "lib/net/ldap/connection.rb", "lib/net/ldap/dataset.rb", "lib/net/ldap/dn.rb", "lib/net/ldap/entry.rb", "lib/net/ldap/error.rb", "lib/net/ldap/filter.rb", "lib/net/ldap/instrumentation.rb", "lib/net/ldap/password.rb", "lib/net/ldap/pdu.rb", "lib/net/ldap/version.rb", "lib/net/snmp.rb", "net-ldap.gemspec", "script/install-openldap", "script/package", "script/release", "test/ber/core_ext/test_array.rb", "test/ber/core_ext/test_string.rb", "test/ber/test_ber.rb", "test/fixtures/cacert.pem", "test/fixtures/openldap/memberof.ldif", "test/fixtures/openldap/retcode.ldif", "test/fixtures/openldap/slapd.conf.ldif", "test/fixtures/seed.ldif", "test/integration/test_add.rb", "test/integration/test_ber.rb", "test/integration/test_bind.rb", "test/integration/test_delete.rb", "test/integration/test_open.rb", "test/integration/test_return_codes.rb", "test/integration/test_search.rb", "test/support/vm/openldap/.gitignore", "test/support/vm/openldap/README.md", "test/support/vm/openldap/Vagrantfile", "test/test_dn.rb", "test/test_entry.rb", "test/test_filter.rb", "test/test_filter_parser.rb", "test/test_helper.rb", "test/test_ldap.rb", "test/test_ldap_connection.rb", "test/test_ldif.rb", "test/test_password.rb", "test/test_rename.rb", "test/test_search.rb", "test/test_snmp.rb", "test/test_ssl_ber.rb", "test/testdata.ldif", "testserver/ldapserver.rb", "testserver/testdata.ldif"]
  s.homepage = "http://github.com/ruby-ldap/ruby-net-ldap"
  s.licenses = ["MIT"]
  s.rdoc_options = ["--main", "README.rdoc"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.5.1"
  s.summary = "Net::LDAP for Ruby (also called net-ldap) implements client access for the Lightweight Directory Access Protocol (LDAP), an IETF standard protocol for accessing distributed directory services"
  s.test_files = ["test/ber/core_ext/test_array.rb", "test/ber/core_ext/test_string.rb", "test/ber/test_ber.rb", "test/fixtures/cacert.pem", "test/fixtures/openldap/memberof.ldif", "test/fixtures/openldap/retcode.ldif", "test/fixtures/openldap/slapd.conf.ldif", "test/fixtures/seed.ldif", "test/integration/test_add.rb", "test/integration/test_ber.rb", "test/integration/test_bind.rb", "test/integration/test_delete.rb", "test/integration/test_open.rb", "test/integration/test_return_codes.rb", "test/integration/test_search.rb", "test/support/vm/openldap/.gitignore", "test/support/vm/openldap/README.md", "test/support/vm/openldap/Vagrantfile", "test/test_dn.rb", "test/test_entry.rb", "test/test_filter.rb", "test/test_filter_parser.rb", "test/test_helper.rb", "test/test_ldap.rb", "test/test_ldap_connection.rb", "test/test_ldif.rb", "test/test_password.rb", "test/test_rename.rb", "test/test_search.rb", "test/test_snmp.rb", "test/test_ssl_ber.rb", "test/testdata.ldif", "testserver/ldapserver.rb", "testserver/testdata.ldif"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<flexmock>, ["~> 1.3"])
      s.add_development_dependency(%q<rake>, ["~> 10.0"])
      s.add_development_dependency(%q<rubocop>, ["~> 0.28.0"])
    else
      s.add_dependency(%q<flexmock>, ["~> 1.3"])
      s.add_dependency(%q<rake>, ["~> 10.0"])
      s.add_dependency(%q<rubocop>, ["~> 0.28.0"])
    end
  else
    s.add_dependency(%q<flexmock>, ["~> 1.3"])
    s.add_dependency(%q<rake>, ["~> 10.0"])
    s.add_dependency(%q<rubocop>, ["~> 0.28.0"])
  end
end
